function $AdfPage$$() {
}
$goog$exportSymbol$$("AdfPage", $AdfPage$$);
$AdfPage$$.$setInstance$ = function $$AdfPage$$$$setInstance$$($instance$$1$$) {
  $AdfPage$$.$PAGE$ = $AdfPage$$.PAGE = $instance$$1$$;
};
$goog$exportSymbol$$("AdfPage.setInstance", $AdfPage$$.$setInstance$);
$AdfPage$$.$_NEW_WINDOW_NAME$ = "RichPageMain";
$AdfPage$$.$CREATE_VIEW_PHASE$ = "createViewPhase";
$goog$exportSymbol$$("AdfPage.CREATE_VIEW_PHASE", $AdfPage$$.$CREATE_VIEW_PHASE$);
$AdfPage$$.$UPDATE_VIEW_PHASE$ = "updateViewPhase";
$goog$exportSymbol$$("AdfPage.UPDATE_VIEW_PHASE", $AdfPage$$.$UPDATE_VIEW_PHASE$);
$AdfPage$$.$DELIVER_EVENTS_PHASE$ = "deliverEventsPhase";
$goog$exportSymbol$$("AdfPage.DELIVER_EVENTS_PHASE", $AdfPage$$.$DELIVER_EVENTS_PHASE$);
$AdfPage$$.$WAITING_FOR_USER_INPUT_PHASE$ = "waitingForUserInputPhase";
$goog$exportSymbol$$("AdfPage.WAITING_FOR_USER_INPUT_PHASE", $AdfPage$$.$WAITING_FOR_USER_INPUT_PHASE$);
$AdfPage$$.$EDITABLE_SUBTREE_PROPERTY$ = "editableSubtree";
$goog$exportSymbol$$("AdfPage.EDITABLE_SUBTREE_PROPERTY", $AdfPage$$.$EDITABLE_SUBTREE_PROPERTY$);
$AdfPage$$.$SELECTED_EDITING_COMPONENTS_PROPERTY$ = "selectedEditingComponents";
$goog$exportSymbol$$("AdfPage.SELECTED_EDITING_COMPONENTS_PROPERTY", $AdfPage$$.$SELECTED_EDITING_COMPONENTS_PROPERTY$);
$AdfPage$$.$EDITED_COMPONENT_PROPERTY$ = "editedComponent";
$goog$exportSymbol$$("AdfPage.EDITED_COMPONENT_PROPERTY", $AdfPage$$.$EDITED_COMPONENT_PROPERTY$);
$AdfPage$$.$ACTIVE_COMPONENT_PROPERTY$ = "activeComponent";
$goog$exportSymbol$$("AdfPage.ACTIVE_COMPONENT_PROPERTY", $AdfPage$$.$ACTIVE_COMPONENT_PROPERTY$);
$AdfObject$$.$createSubclass$($AdfPage$$);
$AdfPage$$.prototype.$setPageProperty$ = function $$AdfPage$$$$$setPageProperty$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setPageProperty", {$setPageProperty$:$AdfPage$$.prototype.$setPageProperty$});
$AdfPage$$.prototype.$getPageProperty$ = function $$AdfPage$$$$$getPageProperty$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getPageProperty", {$getPageProperty$:$AdfPage$$.prototype.$getPageProperty$});
$AdfPage$$.prototype.$setDefaultMessageHandlerComponentId$ = function $$AdfPage$$$$$setDefaultMessageHandlerComponentId$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setDefaultMessageHandlerComponentId", {$setDefaultMessageHandlerComponentId$:$AdfPage$$.prototype.$setDefaultMessageHandlerComponentId$});
$AdfPage$$.prototype.$getDefaultMessageHandlerComponentId$ = function $$AdfPage$$$$$getDefaultMessageHandlerComponentId$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getDefaultMessageHandlerComponentId", {$getDefaultMessageHandlerComponentId$:$AdfPage$$.prototype.$getDefaultMessageHandlerComponentId$});
$AdfPage$$.prototype.$getMessageHandlerSlaveComponentId$ = function $$AdfPage$$$$$getMessageHandlerSlaveComponentId$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getMessageHandlerSlaveComponentId", {$getMessageHandlerSlaveComponentId$:$AdfPage$$.prototype.$getMessageHandlerSlaveComponentId$});
$AdfPage$$.prototype.$getPhase$ = function $$AdfPage$$$$$getPhase$$() {
  return this.$_phase$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getPhase", {$getPhase$:$AdfPage$$.prototype.$getPhase$});
$AdfPage$$.prototype.$addPartialTargets$ = function $$AdfPage$$$$$addPartialTargets$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addPartialTargets", {$addPartialTargets$:$AdfPage$$.prototype.$addPartialTargets$});
$AdfPage$$.prototype.$getComponentsByType$ = function $$AdfPage$$$$$getComponentsByType$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getComponentsByType", {$getComponentsByType$:$AdfPage$$.prototype.$getComponentsByType$});
$AdfPage$$.prototype.$matchComponents$ = function $$AdfPage$$$$$matchComponents$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.matchComponents", {$matchComponents$:$AdfPage$$.prototype.$matchComponents$});
$AdfPage$$.prototype.$reduceMatchedComponents$ = function $$AdfPage$$$$$reduceMatchedComponents$$($components$$1$$, $filterFunction$$1$$, $context$$10$$) {
  $AdfAssert$$.$assertFunction$($filterFunction$$1$$);
  var $reducedComponents$$ = [];
  if (!$components$$1$$) {
    return $reducedComponents$$;
  }
  void 0 === $context$$10$$ && ($context$$10$$ = this);
  for (var $componentCount$$ = $components$$1$$.length, $i$$34$$ = 0;$i$$34$$ < $componentCount$$;$i$$34$$++) {
    var $currComponent$$ = $components$$1$$[$i$$34$$];
    if ($currComponent$$) {
      var $result$$1$$ = $filterFunction$$1$$.call($context$$10$$, $currComponent$$);
      $result$$1$$ & 1 && $reducedComponents$$.push($currComponent$$);
      if ($result$$1$$ & 2) {
        break;
      }
    }
  }
  return $reducedComponents$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.reduceMatchedComponents", {$reduceMatchedComponents$:$AdfPage$$.prototype.$reduceMatchedComponents$});
$AdfPage$$.prototype.$getViewId$ = function $$AdfPage$$$$$getViewId$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getViewId", {$getViewId$:$AdfPage$$.prototype.$getViewId$});
$AdfPage$$.prototype.$findComponent$ = function $$AdfPage$$$$$findComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponent", {$findComponent$:$AdfPage$$.prototype.$findComponent$});
$AdfPage$$.prototype.$findComponentByAbsoluteId$ = function $$AdfPage$$$$$findComponentByAbsoluteId$$($absoluteId$$) {
  $AdfAssert$$.$assertNonEmptyString$($absoluteId$$);
  var $rootClientId$$ = this.$getRootClientId$();
  $rootClientId$$ && ($absoluteId$$ = $rootClientId$$ + ":" + $absoluteId$$);
  return $AdfUIComponent$$.$__findComponent$(":" + $absoluteId$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentByAbsoluteId", {$findComponentByAbsoluteId$:$AdfPage$$.prototype.$findComponentByAbsoluteId$});
$AdfPage$$.prototype.$findComponentByAbsoluteLocator$ = function $$AdfPage$$$$$findComponentByAbsoluteLocator$$($absoluteLocator$$) {
  $AdfAssert$$.$assertNonEmptyString$($absoluteLocator$$);
  return $AdfUIComponent$$.$__findComponentByLocator$($absoluteLocator$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentByAbsoluteLocator", {$findComponentByAbsoluteLocator$:$AdfPage$$.prototype.$findComponentByAbsoluteLocator$});
$AdfPage$$.prototype.$findComponentOrAncestorByAbsoluteLocator$ = function $$AdfPage$$$$$findComponentOrAncestorByAbsoluteLocator$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentOrAncestorByAbsoluteLocator", {$findComponentOrAncestorByAbsoluteLocator$:$AdfPage$$.prototype.$findComponentOrAncestorByAbsoluteLocator$});
$AdfPage$$.prototype.$findComponentWithBackup$ = function $$AdfPage$$$$$findComponentWithBackup$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentWithBackup", {$findComponentWithBackup$:$AdfPage$$.prototype.$findComponentWithBackup$});
$AdfPage$$.prototype.$findComponentByComplexLocator$ = function $$AdfPage$$$$$findComponentByComplexLocator$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentByComplexLocator", {$findComponentByComplexLocator$:$AdfPage$$.prototype.$findComponentByComplexLocator$});
$AdfPage$$.prototype.$findComponentsByComplexLocator$ = function $$AdfPage$$$$$findComponentsByComplexLocator$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.findComponentsByComplexLocator", {$findComponentsByComplexLocator$:$AdfPage$$.prototype.$findComponentsByComplexLocator$});
$AdfPage$$.prototype.$getAbsoluteLocator$ = function $$AdfPage$$$$$getAbsoluteLocator$$($component$$10$$) {
  var $clientId$$2$$ = $component$$10$$.$getClientId$();
  return $component$$10$$.$getPeer$().$getAbsoluteLocator$($component$$10$$, $clientId$$2$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getAbsoluteLocator", {$getAbsoluteLocator$:$AdfPage$$.prototype.$getAbsoluteLocator$});
$AdfPage$$.prototype.$GetChangedComponents$ = function $$AdfPage$$$$$GetChangedComponents$$() {
  return 0 < this.$_changedComponentCount$ ? this.$_changedComponents$ : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.GetChangedComponents", {$GetChangedComponents$:$AdfPage$$.prototype.$GetChangedComponents$});
$AdfPage$$.prototype.$addChangedComponent$ = function $$AdfPage$$$$$addChangedComponent$$($component$$11$$) {
  $AdfAssert$$.$assertPrototype$($component$$11$$, $AdfUIComponent$$);
  var $changedComponents$$ = this.$_changedComponents$, $clientId$$3$$ = $component$$11$$.$getClientId$();
  $clientId$$3$$ in $changedComponents$$ || this.$_changedComponentCount$++;
  $changedComponents$$[$clientId$$3$$] = $component$$11$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addChangedComponent", {$addChangedComponent$:$AdfPage$$.prototype.$addChangedComponent$});
$AdfPage$$.prototype.$removeChangedComponent$ = function $$AdfPage$$$$$removeChangedComponent$$($clientId$$4_component$$12$$) {
  $AdfAssert$$.$assertPrototype$($clientId$$4_component$$12$$, $AdfUIComponent$$);
  var $changedComponents$$1$$ = this.$_changedComponents$;
  $clientId$$4_component$$12$$ = $clientId$$4_component$$12$$.$getClientId$();
  $clientId$$4_component$$12$$ in $changedComponents$$1$$ && (delete $changedComponents$$1$$[$clientId$$4_component$$12$$], this.$_changedComponentCount$--);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.removeChangedComponent", {$removeChangedComponent$:$AdfPage$$.prototype.$removeChangedComponent$});
$AdfPage$$.prototype.$ClearChangesList$ = function $$AdfPage$$$$$ClearChangesList$$() {
  if (0 < this.$_changedComponentCount$) {
    var $changedComponents$$2$$ = this.$_changedComponents$, $item$$;
    for ($item$$ in $changedComponents$$2$$) {
      $changedComponents$$2$$[$item$$].$clearChanges$ && $changedComponents$$2$$[$item$$].$clearChanges$();
    }
    this.$_changedComponents$ = {};
    this.$_changedComponentCount$ = 0;
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.ClearChangesList", {$ClearChangesList$:$AdfPage$$.prototype.$ClearChangesList$});
$AdfPage$$.prototype.$getLookAndFeel$ = function $$AdfPage$$$$$getLookAndFeel$$() {
  return this.$_lookAndFeel$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getLookAndFeel", {$getLookAndFeel$:$AdfPage$$.prototype.$getLookAndFeel$});
$AdfPage$$.prototype.$getActiveComponent$ = function $$AdfPage$$$$$getActiveComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getActiveComponent", {$getActiveComponent$:$AdfPage$$.prototype.$getActiveComponent$});
$AdfPage$$.prototype.$addComponents$ = function $$AdfPage$$$$$addComponents$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addComponents", {$addComponents$:$AdfPage$$.prototype.$addComponents$});
$AdfPage$$.prototype.$getBaseResourceUrl$ = function $$AdfPage$$$$$getBaseResourceUrl$$() {
  return this.$_baseResourceUrl$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getBaseResourceUrl", {$getBaseResourceUrl$:$AdfPage$$.prototype.$getBaseResourceUrl$});
$AdfPage$$.prototype.$setBaseResourceUrl$ = function $$AdfPage$$$$$setBaseResourceUrl$$($baseResourceUrl$$) {
  this.$_baseResourceUrl$ = $baseResourceUrl$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setBaseResourceUrl", {$setBaseResourceUrl$:$AdfPage$$.prototype.$setBaseResourceUrl$});
$AdfPage$$.prototype.$getTwoDigitYearStart$ = function $$AdfPage$$$$$getTwoDigitYearStart$$() {
  return this.$_twoDigitYearStart$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getTwoDigitYearStart", {$getTwoDigitYearStart$:$AdfPage$$.prototype.$getTwoDigitYearStart$});
$AdfPage$$.prototype.$setTwoDigitYearStart$ = function $$AdfPage$$$$$setTwoDigitYearStart$$($twoDigitYearStart$$) {
  this.$_twoDigitYearStart$ = $twoDigitYearStart$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setTwoDigitYearStart", {$setTwoDigitYearStart$:$AdfPage$$.prototype.$setTwoDigitYearStart$});
$AdfPage$$.prototype.$getTzOffsetMinutes$ = function $$AdfPage$$$$$getTzOffsetMinutes$$() {
  return this.$_tzOffsetMinutes$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getTzOffsetMinutes", {$getTzOffsetMinutes$:$AdfPage$$.prototype.$getTzOffsetMinutes$});
$AdfPage$$.prototype.$setTzOffsetMinutes$ = function $$AdfPage$$$$$setTzOffsetMinutes$$($tzOffsetMinutes$$) {
  this.$_tzOffsetMinutes$ = $tzOffsetMinutes$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setTzOffsetMinutes", {$setTzOffsetMinutes$:$AdfPage$$.prototype.$setTzOffsetMinutes$});
$AdfPage$$.prototype.getFailedConnectionText = function $$AdfPage$$$$getFailedConnectionText$() {
  return this.$_failedConnectionText$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getFailedConnectionText", {getFailedConnectionText:$AdfPage$$.prototype.getFailedConnectionText});
$AdfPage$$.prototype.$setFailedConnectionText$ = function $$AdfPage$$$$$setFailedConnectionText$$($text$$12$$) {
  this.$_failedConnectionText$ = $text$$12$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setFailedConnectionText", {$setFailedConnectionText$:$AdfPage$$.prototype.$setFailedConnectionText$});
$AdfPage$$.prototype.$registerLoadingComponent$ = function $$AdfPage$$$$$registerLoadingComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.registerLoadingComponent", {$registerLoadingComponent$:$AdfPage$$.prototype.$registerLoadingComponent$});
$AdfPage$$.prototype.$unregisterLoadingComponent$ = function $$AdfPage$$$$$unregisterLoadingComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.unregisterLoadingComponent", {$unregisterLoadingComponent$:$AdfPage$$.prototype.$unregisterLoadingComponent$});
$AdfPage$$.prototype.$showPageProcessingIndicator$ = function $$AdfPage$$$$$showPageProcessingIndicator$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.showPageProcessingIndicator", {$showPageProcessingIndicator$:$AdfPage$$.prototype.$showPageProcessingIndicator$});
$AdfPage$$.prototype.Init = function $$AdfPage$$$$Init$($lookAndFeel$$1_newLogWriter_newLogger$$) {
  $AdfAssert$$.$assertPrototype$($lookAndFeel$$1_newLogWriter_newLogger$$, $AdfLookAndFeel$$);
  $AdfPage$$.$superclass$.Init.call(this);
  this.$_lookAndFeel$ = $lookAndFeel$$1_newLogWriter_newLogger$$;
  this.$_phase$ = $AdfPage$$.$CREATE_VIEW_PHASE$;
  this.$_changedComponents$ = {};
  this.$_changedComponentCount$ = 0;
  $lookAndFeel$$1_newLogWriter_newLogger$$ = $AdfAgent$$.$AGENT$.$createDefaultLogWriter$();
  $lookAndFeel$$1_newLogWriter_newLogger$$ = new $AdfLogger$$($AdfLogger$$.$LOGGER$.getName(), $lookAndFeel$$1_newLogWriter_newLogger$$);
  $lookAndFeel$$1_newLogWriter_newLogger$$.register();
  $AdfLogger$$.$LOGGER$ = $AdfLogger$$.LOGGER = $lookAndFeel$$1_newLogWriter_newLogger$$;
  this.$_localeContext$ = new $AdfLocaleContext$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.Init", {Init:$AdfPage$$.prototype.Init});
$AdfPage$$.prototype.$SetPhase$ = function $$AdfPage$$$$$SetPhase$$($phase$$) {
  $AdfAssert$$.$assertString$($phase$$);
  this.$_phase$ = $phase$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.SetPhase", {$SetPhase$:$AdfPage$$.prototype.$SetPhase$});
$AdfPage$$.prototype.$getLocaleContext$ = function $$AdfPage$$$$$getLocaleContext$$() {
  return this.$_localeContext$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getLocaleContext", {$getLocaleContext$:$AdfPage$$.prototype.$getLocaleContext$});
$AdfPage$$.prototype.$getDnDContext$ = function $$AdfPage$$$$$getDnDContext$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getDnDContext", {$getDnDContext$:$AdfPage$$.prototype.$getDnDContext$});
$AdfPage$$.prototype.$queueEventToServer$ = function $$AdfPage$$$$$queueEventToServer$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.queueEventToServer", {$queueEventToServer$:$AdfPage$$.prototype.$queueEventToServer$});
$AdfPage$$.prototype.$getActiveComponentId$ = function $$AdfPage$$$$$getActiveComponentId$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getActiveComponentId", {$getActiveComponentId$:$AdfPage$$.prototype.$getActiveComponentId$});
$AdfPage$$.prototype.$addPropertyChangeListener$ = function $$AdfPage$$$$$addPropertyChangeListener$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addPropertyChangeListener", {$addPropertyChangeListener$:$AdfPage$$.prototype.$addPropertyChangeListener$});
$AdfPage$$.prototype.$removePropertyChangeListener$ = function $$AdfPage$$$$$removePropertyChangeListener$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.removePropertyChangeListener", {$removePropertyChangeListener$:$AdfPage$$.prototype.$removePropertyChangeListener$});
$AdfPage$$.prototype.$getSelectedEditingComponents$ = function $$AdfPage$$$$$getSelectedEditingComponents$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getSelectedEditingComponents", {$getSelectedEditingComponents$:$AdfPage$$.prototype.$getSelectedEditingComponents$});
$AdfPage$$.prototype.$setSelectedEditingComponents$ = function $$AdfPage$$$$$setSelectedEditingComponents$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setSelectedEditingComponents", {$setSelectedEditingComponents$:$AdfPage$$.prototype.$setSelectedEditingComponents$});
$AdfPage$$.prototype.$getEditableSubtree$ = function $$AdfPage$$$$$getEditableSubtree$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getEditableSubtree", {$getEditableSubtree$:$AdfPage$$.prototype.$getEditableSubtree$});
$AdfPage$$.prototype.$setEditableSubtree$ = function $$AdfPage$$$$$setEditableSubtree$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setEditableSubtree", {$setEditableSubtree$:$AdfPage$$.prototype.$setEditableSubtree$});
$AdfPage$$.prototype.$setEditableSubtreeFilter$ = function $$AdfPage$$$$$setEditableSubtreeFilter$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setEditableSubtreeFilter", {$setEditableSubtreeFilter$:$AdfPage$$.prototype.$setEditableSubtreeFilter$});
$AdfPage$$.prototype.$getEditedComponent$ = function $$AdfPage$$$$$getEditedComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getEditedComponent", {$getEditedComponent$:$AdfPage$$.prototype.$getEditedComponent$});
$AdfPage$$.prototype.$setEditedComponent$ = function $$AdfPage$$$$$setEditedComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setEditedComponent", {$setEditedComponent$:$AdfPage$$.prototype.$setEditedComponent$});
$AdfPage$$.prototype.$getResourceURL$ = function $$AdfPage$$$$$getResourceURL$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getResourceURL", {$getResourceURL$:$AdfPage$$.prototype.$getResourceURL$});
$AdfPage$$.prototype.$Dispose$ = function $$AdfPage$$$$$Dispose$$() {
  $AdfLogger$$.$LOGGER$.$getLogWriter$().close();
  $AdfPage$$.$PAGE$ = $AdfPage$$.PAGE = null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.Dispose", {$Dispose$:$AdfPage$$.prototype.$Dispose$});
$AdfPage$$.prototype.$addMessage$ = function $$AdfPage$$$$$addMessage$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addMessage", {$addMessage$:$AdfPage$$.prototype.$addMessage$});
$AdfPage$$.prototype.$showMessages$ = function $$AdfPage$$$$$showMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.showMessages", {$showMessages$:$AdfPage$$.prototype.$showMessages$});
$AdfPage$$.prototype.$getMessages$ = function $$AdfPage$$$$$getMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getMessages", {$getMessages$:$AdfPage$$.prototype.$getMessages$});
$AdfPage$$.prototype.$getAllMessages$ = function $$AdfPage$$$$$getAllMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getAllMessages", {$getAllMessages$:$AdfPage$$.prototype.$getAllMessages$});
$AdfPage$$.prototype.$getClientIdsWithMessages$ = function $$AdfPage$$$$$getClientIdsWithMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getClientIdsWithMessages", {$getClientIdsWithMessages$:$AdfPage$$.prototype.$getClientIdsWithMessages$});
$AdfPage$$.prototype.$clearMessages$ = function $$AdfPage$$$$$clearMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.clearMessages", {$clearMessages$:$AdfPage$$.prototype.$clearMessages$});
$AdfPage$$.prototype.$clearAllMessages$ = function $$AdfPage$$$$$clearAllMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.clearAllMessages", {$clearAllMessages$:$AdfPage$$.prototype.$clearAllMessages$});
$AdfPage$$.prototype.$hasMessages$ = function $$AdfPage$$$$$hasMessages$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.hasMessages", {$hasMessages$:$AdfPage$$.prototype.$hasMessages$});
$AdfPage$$.prototype.$addBusyStateListener$ = function $$AdfPage$$$$$addBusyStateListener$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.addBusyStateListener", {$addBusyStateListener$:$AdfPage$$.prototype.$addBusyStateListener$});
$AdfPage$$.prototype.$removeBusyStateListener$ = function $$AdfPage$$$$$removeBusyStateListener$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.removeBusyStateListener", {$removeBusyStateListener$:$AdfPage$$.prototype.$removeBusyStateListener$});
$AdfPage$$.prototype.$registerResizeNotifyComponent$ = function $$AdfPage$$$$$registerResizeNotifyComponent$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.registerResizeNotifyComponent", {$registerResizeNotifyComponent$:$AdfPage$$.prototype.$registerResizeNotifyComponent$});
$AdfPage$$.prototype.$unregisterResizeNotifyComponent$ = function $$AdfPage$$$$$unregisterResizeNotifyComponent$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.unregisterResizeNotifyComponent", {$unregisterResizeNotifyComponent$:$AdfPage$$.prototype.$unregisterResizeNotifyComponent$});
$AdfPage$$.prototype.$doResizeNotify$ = function $$AdfPage$$$$$doResizeNotify$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.doResizeNotify", {$doResizeNotify$:$AdfPage$$.prototype.$doResizeNotify$});
$AdfPage$$.prototype.$isScreenReaderMode$ = function $$AdfPage$$$$$isScreenReaderMode$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.isScreenReaderMode", {$isScreenReaderMode$:$AdfPage$$.prototype.$isScreenReaderMode$});
$AdfPage$$.prototype.$isSynchronizedWithServer$ = function $$AdfPage$$$$$isSynchronizedWithServer$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.isSynchronizedWithServer", {$isSynchronizedWithServer$:$AdfPage$$.prototype.$isSynchronizedWithServer$});
$AdfPage$$.prototype.$isAutomationEnabled$ = function $$AdfPage$$$$$isAutomationEnabled$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.isAutomationEnabled", {$isAutomationEnabled$:$AdfPage$$.prototype.$isAutomationEnabled$});
$AdfPage$$.prototype.$getAsynchronousUpdatesState$ = function $$AdfPage$$$$$getAsynchronousUpdatesState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getAsynchronousUpdatesState", {$getAsynchronousUpdatesState$:$AdfPage$$.prototype.$getAsynchronousUpdatesState$});
$AdfPage$$.prototype.$areCssSelectorsUncompressed$ = function $$AdfPage$$$$$areCssSelectorsUncompressed$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.areCssSelectorsUncompressed", {$areCssSelectorsUncompressed$:$AdfPage$$.prototype.$areCssSelectorsUncompressed$});
$AdfPage$$.prototype.$isAnimationEnabled$ = function $$AdfPage$$$$$isAnimationEnabled$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.isAnimationEnabled", {$isAnimationEnabled$:$AdfPage$$.prototype.$isAnimationEnabled$});
$AdfPage$$.prototype.$isPortlet$ = function $$AdfPage$$$$$isPortlet$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.isPortlet", {$isPortlet$:$AdfPage$$.prototype.$isPortlet$});
$AdfPage$$.prototype.$getRootClientId$ = function $$AdfPage$$$$$getRootClientId$$() {
  return "";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getRootClientId", {$getRootClientId$:$AdfPage$$.prototype.$getRootClientId$});
$AdfPage$$.prototype.$setHelpWindowName$ = function $$AdfPage$$$$$setHelpWindowName$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.setHelpWindowName", {$setHelpWindowName$:$AdfPage$$.prototype.$setHelpWindowName$});
$AdfPage$$.prototype.$launchHelpWindow$ = function $$AdfPage$$$$$launchHelpWindow$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.launchHelpWindow", {$launchHelpWindow$:$AdfPage$$.prototype.$launchHelpWindow$});
$AdfPage$$.prototype.$localNavigate$ = function $$AdfPage$$$$$localNavigate$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.localNavigate", {$localNavigate$:$AdfPage$$.prototype.$localNavigate$});
$AdfPage$$.prototype.$getSessionIdentifier$ = function $$AdfPage$$$$$getSessionIdentifier$$() {
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getSessionIdentifier", {$getSessionIdentifier$:$AdfPage$$.prototype.$getSessionIdentifier$});
$AdfPage$$.prototype.$checkUncommittedData$ = function $$AdfPage$$$$$checkUncommittedData$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.checkUncommittedData", {$checkUncommittedData$:$AdfPage$$.prototype.$checkUncommittedData$});
$AdfPage$$.prototype.$checkRegionUncommittedData$ = function $$AdfPage$$$$$checkRegionUncommittedData$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.checkRegionUncommittedData", {$checkRegionUncommittedData$:$AdfPage$$.prototype.$checkRegionUncommittedData$});
$AdfPage$$.prototype.$getUncommittedRegionIds$ = function $$AdfPage$$$$$getUncommittedRegionIds$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getUncommittedRegionIds", {$getUncommittedRegionIds$:$AdfPage$$.prototype.$getUncommittedRegionIds$});
$AdfPage$$.prototype.$shouldShowHintInNoteTip$ = function $$AdfPage$$$$$shouldShowHintInNoteTip$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.shouldShowHintInNoteTip", {$shouldShowHintInNoteTip$:$AdfPage$$.prototype.$shouldShowHintInNoteTip$});
$AdfPage$$.prototype.$getResponseIdentifier$ = function $$AdfPage$$$$$getResponseIdentifier$$() {
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.getResponseIdentifier", {$getResponseIdentifier$:$AdfPage$$.prototype.$getResponseIdentifier$});
$AdfPage$$.prototype.$shouldTracePPRRequestId$ = function $$AdfPage$$$$$shouldTracePPRRequestId$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.shouldTracePPRRequestId", {$shouldTracePPRRequestId$:$AdfPage$$.prototype.$shouldTracePPRRequestId$});
$AdfPage$$.prototype.$announceToAssistiveTechnology$ = function $$AdfPage$$$$$announceToAssistiveTechnology$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.announceToAssistiveTechnology", {$announceToAssistiveTechnology$:$AdfPage$$.prototype.$announceToAssistiveTechnology$});
$AdfPage$$.prototype.$simulateMouse$ = function $$AdfPage$$$$$simulateMouse$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfPage.prototype.simulateMouse", {$simulateMouse$:$AdfPage$$.prototype.$simulateMouse$});
